#!/usr/bin/env python2
# -*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
#"THE BEER-WARE LICENSE" (Revision 42):
#Simon Chabot <chabotsi@unice.fr> wrote this file. As long as you retain this
#notice you can do whatever you want with this stuff. If we meet some day, and
#you think this stuff is worth it, you can buy me a beer in return.
#-------------------------------------------------------------------------------

from __future__ import (unicode_literals, absolute_import, division,
                        print_function)

from PySide import QtGui
from PySide.QtCore import Slot, Signal

from samples_ui import Ui_Dialog as Ui_Density



DENSITIES = {'Granite' : 2600 , 'Iron' : 7860 , 'Silicate' : 2330 }
#http://chabotsi.fr/to/gfyntA

class DensityDisplayWindow(QtGui.QDialog):

    density_chosen = Signal([float],[])

    def __init__(self):
        super(DensityDisplayWindow, self).__init__()
        self.ui = Ui_Density()
        self.ui.setupUi(self)

        for name in DENSITIES:
            self.ui.sampleslistWidget.addItem(name)

        #connections
        self.ui.sampleslistWidget.itemDoubleClicked.connect(self.samples_select)
        self.ui.sampleslistWidget.itemDoubleClicked.connect(self.close)

    @Slot(QtGui.QListWidgetItem)
    def samples_select(self, item):
        #print(item.text())
        self.density_chosen.emit(DENSITIES[unicode(item.text())])
