#!/usr/bin/env python2
# -*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
#"THE BEER-WARE LICENSE" (Revision 42):
#Simon Chabot <chabotsi@unice.fr> wrote this file. As long as you retain this
#notice you can do whatever you want with this stuff. If we meet some day, and
#you think this stuff is worth it, you can buy me a beer in return.
#-------------------------------------------------------------------------------

from __future__ import (unicode_literals, absolute_import, division,
                        print_function)

from PySide import QtGui
from PySide.QtCore import Slot, Signal

from samples_ui import Ui_Dialog



#http://chabotsi.fr/to/gfyntA
DENSITIES = {'Ice (1000 km.m⁻³)' : 1000,
             'Granite (2600 km.m⁻³)' : 2600,
             'Iron (7860 km.m⁻³)' : 7860,
             'Silicate (2330 km.m⁻³)' : 2330,
            }
DIAMETERS = {'Bus (15 m)': 15e-3,
             'Nice (4 km)': 4,
             'Moon (33 km)': 33,
            }

def get_sampler(samples):
    class SampleDisplayWindow(QtGui.QDialog):
        sample_chosen = Signal([float],[])
        what = samples

        def __init__(self):
            super(SampleDisplayWindow, self).__init__()
            self.ui = Ui_Dialog()
            self.ui.setupUi(self)

            for name in self.what:
                self.ui.sampleslistWidget.addItem(name)

            #connections
            self.ui.sampleslistWidget.itemDoubleClicked.connect(self.samples_select)
            self.ui.sampleslistWidget.itemDoubleClicked.connect(self.close)

        @Slot(QtGui.QListWidgetItem)
        def samples_select(self, item):
            self.sample_chosen.emit(self.what[unicode(item.text())])
    return SampleDisplayWindow


DensityDisplayWindow = get_sampler(DENSITIES)
DiameterDisplayWindow = get_sampler(DIAMETERS)
